package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ActSuppliesRole;
import com.ruoyi.system.domain.ActSuppliesTemplate;

/**
 * 导入规则Service接口
 * 
 * @author dongjg
 * @date 2023-07-12
 */
public interface IActSuppliesRoleService 
{
    /**
     * 查询导入规则
     * 
     * @param id 导入规则ID
     * @return 导入规则
     */
    public ActSuppliesRole selectActSuppliesRoleById(Integer id);

    /**
     * 查询导入规则列表
     * 
     * @param actSuppliesRole 导入规则
     * @return 导入规则集合
     */
    public List<ActSuppliesRole> selectActSuppliesRoleList(ActSuppliesRole actSuppliesRole);

    /**
     * 新增导入规则
     * 
     * @param actSuppliesRole 导入规则
     * @return 结果
     */
    public int insertActSuppliesRole(ActSuppliesRole actSuppliesRole);

    /**
     * 修改导入规则
     * 
     * @param actSuppliesRole 导入规则
     * @return 结果
     */
    public int updateActSuppliesRole(ActSuppliesRole actSuppliesRole);

    /**
     * 批量删除导入规则
     * 
     * @param ids 需要删除的导入规则ID
     * @return 结果
     */
    public int deleteActSuppliesRoleByIds(Integer[] ids);

    /**
     * 删除导入规则信息
     * 
     * @param id 导入规则ID
     * @return 结果
     */
    public int deleteActSuppliesRoleById(Integer id);

    List<ActSuppliesTemplate> saveSid();
    /**
     * 启用物料细分类管理
     *
     * @param id  尝试启用物料细分类管理的id
     * @return
     */
    void setEnable(Long id);

    /**
     * 禁用
     *
     * @param id  尝试禁用物料细分类管理的id
     */
    void setDisable(Long id);

    List<Integer> findall();
}
