package com.ruoyi.system.service.impl;

import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.system.domain.ActSupplies;
import com.ruoyi.system.domain.ActSuppliesTemplate;
import com.ruoyi.system.mapper.ActSuppliesTemplateMapper;
import com.ruoyi.system.service.ActSuppliesTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 物资管理Service业务层处理
 * 
 * @author
 * @date
 */
@Service
public class ActSuppliesTemplateServiceImpl implements ActSuppliesTemplateService
{
    @Autowired
    private ActSuppliesTemplateMapper actSuppliesTemplateMapper;


    @Override
    public List<ActSuppliesTemplate> selectSuppliesTemplateList(ActSuppliesTemplate sysSupplies) {
        return actSuppliesTemplateMapper.selectSuppliesTemplateList(sysSupplies);
    }

    @Override
    public List<ActSuppliesTemplate> selectSuppliesTemplateById(Long id) {
        return actSuppliesTemplateMapper.selectSuppliesTemplateById(id);
    }

    @Override
    public int insertSuppliesTemplate(ActSuppliesTemplate sysSupplies) {
        SysUser user = SecurityUtils.getLoginUser().getUser();
        sysSupplies.setCreateBy(user.getUserName());
        sysSupplies.setCreateTime(DateUtils.getNowDate());
        return actSuppliesTemplateMapper.insertSuppliesTemplate(sysSupplies);
    }
//
//    @Override
//    public List<ActSuppliesTemplate> selectlistnameid() {
//        return actSuppliesTemplateMapper.selectlistnameid();
//    }

    @Override
    public int updateSuppliesTemplate(ActSuppliesTemplate sysSupplies) {
        SysUser user = SecurityUtils.getLoginUser().getUser();
        sysSupplies.setUpdateBy(user.getUserName());
        sysSupplies.setUpdateTime(DateUtils.getNowDate());
        return actSuppliesTemplateMapper.updateSuppliesTemplate(sysSupplies);
    }

    @Override
    public int deleteSuppliesTemplateByIds(Long[] ids) {
        return actSuppliesTemplateMapper.deleteSuppliesTemplateByIds(ids);
    }

    @Override
    public List<ActSuppliesTemplate> saveTemplate(Long id) {
        return actSuppliesTemplateMapper.saveTemplate(id);
    }

    @Override
    public List<Integer> findall() {
        return actSuppliesTemplateMapper.findall();
    }
    @Override
    public void setEnable(Long id) {
        updateStatusById(id,0);
    }

    @Override
    public void setDisable(Long id) {
        updateStatusById(id,1);
    }

    @Override
    public List<String> findName() {
        return actSuppliesTemplateMapper.findName();
    }


    private void updateStatusById(Long id, Integer status){
        String[] statusText={"禁用","启用"};

        //判断查询结果是否为空
        List<ActSuppliesTemplate> queryResult = actSuppliesTemplateMapper.selectSuppliesTemplateById(id);
        if(queryResult ==null) {
            String message =statusText[status] + "物料总分类管理失败，尝试访问的数据不存在";
            System.out.println(message);
            throw new RuntimeException(message);
        }

        //判断以上查询结果中的status是否与参数status相同

        ActSuppliesTemplate actSuppliesTemplate = new ActSuppliesTemplate();
        actSuppliesTemplate.setId(id);
        actSuppliesTemplate.setStatus(status);

        int rows = actSuppliesTemplateMapper.updateSuppliesTemplate(actSuppliesTemplate);
        if (rows != 1) {
            String message = statusText[status] + "物料总分类管理失败，服务器忙请再次重试";
            System.out.println(message);
            throw new RuntimeException(message);
        }
    }

}
